Class | Net::HTTPGenericRequest
In: | net/http.rb
Parent: | Object

Parent of HTTPRequest class. Do not use this directly; use a subclass of HTTPRequest.

Mixes in the HTTPHeader module.

### Methods

body= body_exist? body_stream= inspect new request_body_permitted? response_body_permitted?

### Included Modules

HTTPHeader

### Attributes

body | [R] |
body_stream | [R] |
method | [R] |
path | [R] |

### Public Class methods

new(m, reqbody, resbody, path, initheader = nil)

[Source]

    # File net/http.rb, line 1437
        def initialize(m, reqbody, resbody, path, initheader = nil)
          @method = m
          @request_has_body = reqbody
          @response_has_body = resbody
          raise ArgumentError, "HTTP request path is empty" if path.empty?
          @path = path
          initialize_http_header initheader
          self['Accept'] ||= '*/*'
          @body = nil
          @body_stream = nil
        end

### Public Instance methods

body=(str)

[Source]

    # File net/http.rb, line 1471
        def body=(str)
          @body = str
          @body_stream = nil
          str
        end

body_exist?()

[Source]

    # File net/http.rb, line 1464
        def body_exist?
          warn "Net::HTTPRequest#body_exist? is obsolete; use response_body_permitted?" if $VERBOSE
          response_body_permitted?
        end

body_stream=(input)

[Source]

    # File net/http.rb, line 1479
        def body_stream=(input)
          @body = nil
          @body_stream = input
          input
        end

inspect()

[Source]

    # File net/http.rb, line 1452
        def inspect
          "\#<#{self.class} #{@method}>"
        end

request_body_permitted?()

[Source]

    # File net/http.rb, line 1456
        def request_body_permitted?
          @request_has_body
        end

response_body_permitted?()

[Source]

    # File net/http.rb, line 1460
        def response_body_permitted?
          @response_has_body
        end

[Validate]